package com.ruoyi.xq.enums.userinfo;


import lombok.Getter;

/**
 * 生肖
 * <p>created on 2024/2/26 16:50</p>
 * @author duet
 */
@Getter
public enum UserZodiacEnum {
    RAT(1,"鼠"),
    OX(2,"牛"),
    TIGER(3,"虎"),
    RABBIT(4,"兔"),
    DRAGON(5,"龙"),
    SNAKE(6,"蛇"),
    HORSE(7,"马"),
    GOAT(8,"羊"),
    MONKEY(9,"猴"),
    ROOSTER(10,"鸡"),
    DOG(11,"狗"),
    PIG(12,"猪"),
            ;


    private final Integer code;
    private final String text;

    UserZodiacEnum(Integer code, String text) {
        this.code = code;
        this.text = text;
    }
}
